import { OnInit } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { NavController, AlertController } from 'ionic-angular';
import { LoginService } from './../../shared/services/login.service';
import { NextPage } from '../../../modules/core/services/nextpage';
import { PasswordCredentials } from '../../../loginmodels/password';
/**
 * Generated class for the ContentcomponentComponent component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
export declare class OTPComponent implements OnInit {
    private _formBuilder;
    private navCtrl;
    private loginService;
    private nextPage;
    private alertCtrl;
    view: string;
    loginForm: FormGroup;
    localconstants: {
        loginName: string;
        captcha: string;
        remember: string;
        password: string;
        otpPin: string;
        otpMessage: string;
        sessionsInstructions: string;
        sessionStartTime: string;
        sessionUUID: string;
        'DICT.COMMON_FIELDS.PROCEED_BUTTON': string;
        'DICT.COMMON_FIELDS.LOGIN_LOGIN': string;
        'DICT.COMMON.CANCEL': string;
        currentStep: string;
        browserFields: string;
        username: string;
        displayOtp: string;
        showcaptcha: string;
        imageURL: string;
        questions: any[];
        idpURL: string;
        issueType: string;
        troubleSignInData: string;
        userPassword: string;
        backButtonText: string;
        proceedButtonText: string;
        sendButtonText: string;
        signIn: string;
        emailAddress: string;
        challengeQuestions: {
            description: string;
            id: string;
            emailOrLoginID: string;
            questions: any[];
            answers: any[];
        };
        otpRecovery: {
            title: string;
            select_how_you_would_like_to_recieve_your_OneTimePIN: string;
            text_me: string;
            use_authenticator_app: string;
            select_problem: string;
            i_dont_know_my_one_time_pin_device: string;
            i_want_to_reset_my_one_time_pin_device: string;
            message: string;
            select_one_of_the_supported_authenticator_apps_you_would_like_to_use: string;
            google_Authenticator: string;
            microsoft_Authenticator: string;
            install_the_free: string;
            app_if_you_have_not_already_done_so: string;
            after_you_log_in_using_your_Gmail_credentials_hit_the_icon_to_add_an_account: string;
            select_Manual_Entry_and_enter_the_following_code: string;
            enter_the_time_sensitive_code_generated_for_this_account: string;
            in_the_app_add_an_account_and_chooose_Other_from_the_list_of_account_types: string;
            enter_the_following_code_into_the_app: string;
        };
        unlockAccount: {
            title: string;
            emailAddress: string;
        };
        cioError: {
            successMessage: string;
            errorMessage: string;
        };
    };
    captchaimage: any;
    private userData;
    private isUserNameSubscription;
    private loader;
    private isLoading;
    private loadingIndicatorSubscription;
    passwordlogin: PasswordCredentials;
    private isError;
    constructor(_formBuilder: FormBuilder, navCtrl: NavController, loginService: LoginService, nextPage: NextPage, alertCtrl: AlertController);
    ngOnInit(): void;
    setValidators(): void;
    checkFocus(): void;
    onSubmit(): void;
    ionViewDidLeave(): void;
    doTrobleSignIn(): void;
    openOTPModal(): void;
}
